Bug 115824 - Published theme is missing components
Summary: Published theme is missing components
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: APLAWS (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact: Daniel Berrange
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-16 14:16 UTC by Arturo Dell
Modified: 2007-04-18 17:03 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-26 15:51:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Arturo Dell 2004-02-16 14:16:26 UTC
If you see these two links:

http://194.202.210.43:9005/ccm/content/business/business-
advice/running-a-business/how-to-close-your-business.en

http://194.202.210.43:9005/theme/camden-
aplaws/ccm/content/business/business-advice/running-a-business/how-to-
close-your-business.en?

In both cases it is the same item (how-to-close-your-business.en) 

The first link is the item displayed in the 'published' theme.

The second case is the same item displayed in 'theme preview mode' 
(/theme/[theme-name]/).

In the 'published theme' display view there are components missing in 
content items & MPAs.

Content Items:

nav:categoryMenu component is missing

MPA:

nav:categoryMenu component is missing

cms:articleSectionPanel is missing

Comment 1 Daniel Berrange 2004-02-17 11:00:51 UTC
Once the theme is published it is going through the 'subsite' service.
The incorrect JSP template was registered for subsites, causing
various bits to be missing from the XML. As a workaround I've uploaded
an alternate JSP for MPA on the staging system & registered it to the
subsite. THe long term fix will be done in our development tree for a
future build.


Note You need to log in before you can comment on or make changes to this bug.